Prosíme přihlašte se nebo zaregistrujte.

Přihlašte se svým uživatelským jménem a heslem.
World of Warcraft

Novinky: Školení nejen k OS Ubuntu pro širokou veřejnost, více informací zde.

Autor Téma: tiskárna HP nerespektuje horní okraj  (Přečteno 2220 krát)

dredata_zizalka

  • Člen
  • **
  • Příspěvků: 495
  • Karma: +27/-6
    • Zobrazit profil
tiskárna HP nerespektuje horní okraj
« kdy: 19 Červenec 2018, 18:53:29 »
Mám tiskárnu HP DeskJet Ink Advantage 3775.
Dle svého nejlepšího vědomí a svědomí jsem instalovala hplip-3.18.6.

Tisknu i skenuji, ale ... tiskárna si bere papír nějak moc rychle a nerespektuje nastavení horního okraje. Ani u PDF. Všechno tiskne příliš do horního okraje.

Známá má tu samou tiskárnu a prý ji to dělalo to samé (má win), a 'prý něco poštelovala v nastavení v PC' a už jí to funguje.

Dobrá zpráva tedy je, že to nebude přímo vada nutná do servisu. Ale mě se nedaří to nikde upravit.
Máte někdo tip prosím?

TIBOR

  • Guru
  • *****
  • Příspěvků: 6039
  • Karma: +440/-21
  • Som uzivatel linuxovej distribucie, som linuxak?
    • Zobrazit profil
Re:tiskárna HP nerespektuje horní okraj
« Odpověď #1 kdy: 19 Červenec 2018, 22:36:28 »
Niekde vo vlastnostiach tlaciarne by mala byt stranka kde sa nastavuju okraje. Skus pohladat.
Malo by to byt v hplip-gui.
Asus X751LB-TY014H Ubuntu 18.04 XX 64bit - Mate.
Linus, Lajnas, Línus, Luínus, Lajnus a je mi naozaj jedno, ako ľudia vyslovujú moje meno. Ale "Linux" je vždy "Linux". LINUS TORVALDS, tvorca Linuxového jadra.(V dokumente Revolution OS)

dredata_zizalka

  • Člen
  • **
  • Příspěvků: 495
  • Karma: +27/-6
    • Zobrazit profil
Re:tiskárna HP nerespektuje horní okraj
« Odpověď #2 kdy: 20 Červenec 2018, 12:51:35 »
Tibore, moc díky za tip!
hplip-gui paradoxně vůbec nechce vidět tiskárnu (je zapnutá, různé usb vstupy.. nic)

Bylo tam ale kladívko co spustilo terminál a tam se mi pro změnu nedaří zadat heslo...

Na druhou stranu, systém v 'tiskárnách' mi tiskárnu normálně našel...

Kód: [Vybrat]
HP Linux Imaging and Printing System (ver. 3.18.6)
Self Diagnse Utility and Healing Utility ver. 1.0

Copyright (c) 2001-15 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.


HP Linux Imaging and Printing System (ver. 3.18.6)
Self Diagnse Utility and Healing Utility ver. 1.0

Copyright (c) 2001-15 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

 

Checking for Deprecated items....
No Deprecated items are found


Checking for HPLIP updates....
Traceback (most recent call last):
  File "/usr/bin/hp-upgrade", line 191, in <module>
    (UI_TOOLKIT_QT3, UI_TOOLKIT_QT4, UI_TOOLKIT_QT5), True)
NameError: name 'UI_TOOLKIT_QT5' is not defined
error: Failed to upgrade latest HPLIP. Is hp-upgrade already running (i.e. foreground or background)?


Checking for Dependencies....

---------------
| SYSTEM INFO |
---------------

 Kernel: 4.4.0-130-generic #156-Ubuntu SMP Thu Jun 14 08:53:28 UTC 2018 GNU/Linux
 Host: zizalka-pc
 Proc: 4.4.0-130-generic #156-Ubuntu SMP Thu Jun 14 08:53:28 UTC 2018 GNU/Linux
 Distribution: ubuntu 16.04
 Bitness: 64 bit


-----------------------
| HPLIP CONFIGURATION |
-----------------------

HPLIP-Version: HPLIP 3.18.6
HPLIP-Home: /usr/share/hplip
HPLIP-Installation: Auto installation is supported for ubuntu distro  16.04 version

Current contents of '/etc/hp/hplip.conf' file:
# hplip.conf.  Generated from hplip.conf.in by configure.

[hplip]
version=3.18.6

[dirs]
home=/usr/share/hplip
run=/var/run
ppd=/usr/share/ppd/hplip/HP
ppdbase=/usr/share/ppd/hplip
doc=/usr/share/doc/hplip-3.18.6
html=/usr/share/doc/hplip-3.18.6
icon=/usr/share/applications
cupsbackend=/usr/lib/cups/backend
cupsfilter=/usr/lib/cups/filter
drv=/usr/share/cups/drv/hp
bin=/usr/bin
apparmor=/etc/apparmor.d
# Following values are determined at configure time and cannot be changed.
[configure]
network-build=yes
libusb01-build=no
pp-build=no
gui-build=yes
scanner-build=yes
fax-build=yes
dbus-build=yes
cups11-build=no
doc-build=yes
shadow-build=no
hpijs-install=no
foomatic-drv-install=no
foomatic-ppd-install=no
foomatic-rip-hplip-install=no
hpcups-install=yes
cups-drv-install=yes
cups-ppd-install=no
internal-tag=3.18.6
restricted-build=no
ui-toolkit=qt4
qt3=no
qt4=yes
qt5=no
policy-kit=no
lite-build=no
udev_sysfs_rules=no
hpcups-only-build=no
hpijs-only-build=no
apparmor_build=yes
class-driver=no


Current contents of '/var/lib/hp/hplip.state' file:
Plugins are not installed. Could not access file: No such file or directory

Current contents of '~/.hplip/hplip.conf' file:
[upgrade]
notify_upgrade = true
last_upgraded_time = 1531765017
pending_upgrade_time = 0
latest_available_version = 3.17.10

[installation]
date_time = 07/20/18 12:47:47
version = 3.18.6


 <Package-name>        <Package-Desc>      <Required/Optional> <Min-Version> <Installed-Version> <Status>   <Comment>

--------------------------
|  External Dependencies |
--------------------------

 scanimage            scanimage - Shell scanning program                           OPTIONAL        1.0             1.0.25          OK         -
 cups                 CUPS - Common Unix Printing System                           REQUIRED        1.1             2.1.3           OK         'CUPS Scheduler is running'
 network              network -wget                                                OPTIONAL        -               1.17.1          OK         -
 dbus                 DBus - Message bus system                                    REQUIRED        -               1.10.6          OK         -
 xsane                xsane - Graphical scanner frontend for SANE                  OPTIONAL        0.9             0.999           OK         -
 avahi-utils          avahi-utils                                                  OPTIONAL        -               0.6.32          OK         -
 policykit            PolicyKit - Administrative policy framework                  OPTIONAL        -               0.105           OK         -
 gs                   GhostScript - PostScript and PDF language interpreter and previewer REQUIRED        7.05            9.18            OK         -

-------------------------
|  General Dependencies |
-------------------------

 cups-devel           CUPS devel- Common Unix Printing System development files    REQUIRED        -               2.1.3           OK         -
 python3-pyqt4        PyQt 4- Qt interface for Python (for Qt version 4.x)         REQUIRED        4.0             4.11.4          OK         -
 python3-dbus         Python DBus - Python bindings for DBus                       REQUIRED        0.80.0          1.2.0           OK         -
 python3X             Python 2.2 or greater - Python programming language          REQUIRED        2.2             3.5.2           OK         -
 python3-pyqt4-dbus   PyQt 4 DBus - DBus Support for PyQt4                         OPTIONAL        4.0             4.11.4          OK         -
 libcrypto            libcrypto - OpenSSL cryptographic library                    REQUIRED        -               1.0.2           OK         -
 python3-reportlab    Reportlab - PDF library for Python                           OPTIONAL        2.0             3.3.0           OK         -
 python3-xml          Python XML libraries                                         REQUIRED        -               2.1.0           OK         -
 libnetsnmp-devel     libnetsnmp-devel - SNMP networking library development files REQUIRED        5.0.9           5.7.3           OK         -
 python3-notify2      Python libnotify - Python bindings for the libnotify Desktop notifications OPTIONAL        -               -               OK         -
 sane                 SANE - Scanning library                                      REQUIRED        -               1.0.25          OK         -
 python3-pil          PIL - Python Imaging Library (required for commandline scanning with hp-scan) OPTIONAL        -               1.1.7           OK         -
 error: python3-devel Python devel - Python development files                      REQUIRED        2.2             3.5.2           MISSING    'python3-devel needs to be installed'
 sane-devel           SANE - Scanning library development files                    REQUIRED        -               1.0.25          OK         -
 libusb               libusb - USB library                                         REQUIRED        -               1.0             OK         -
 libjpeg              libjpeg - JPEG library                                       REQUIRED        -               -               OK         -
 cups-image           CUPS image - CUPS image development files                    REQUIRED        -               2.1.3           OK         -
 libpthread           libpthread - POSIX threads library                           REQUIRED        -               b'2.23'         OK         -

---------------
|  COMPILEDEP |
---------------

 libtool              libtool - Library building support services                  REQUIRED        -               2.4.6           OK         -
 make                 make - GNU make utility to maintain groups of programs       REQUIRED        3.0             4.1             OK         -
 gcc                  gcc - GNU Project C and C++ Compiler                         REQUIRED        -               5.4.0           OK         -

----------------------
|  Python Extentions |
----------------------

 hpmudext             IO-Extension                                                 REQUIRED        -               3.18.6          OK         -
 cupsext              CUPS-Extension                                               REQUIRED        -               3.18.6          OK         -

-----------------------
|  Scan Configuration |
-----------------------

 scanext              Scan-SANE-Extension                                          REQUIRED        -               3.18.6          OK         -
 hpaio                HPLIP-SANE-Backend                                           REQUIRED        -               3.18.6          OK         'hpaio found in /etc/sane.d/dll.conf'

-----------------------
|  Other Dependencies |
-----------------------


------------------------------
| DISCOVERED SCANNER DEVICES |
------------------------------

No Scanner found.

--------------------------
| DISCOVERED USB DEVICES |
--------------------------

No devices found.

---------------------------------
| INSTALLED CUPS PRINTER QUEUES |
---------------------------------

 
DeskJet_3700
------------
Type: Printer
Device URI: hp:/usb/DeskJet_3700_series?serial=CN81D3D03506H8
PPD: /etc/cups/ppd/DeskJet_3700.ppd
warning: Failed to read /etc/cups/ppd/DeskJet_3700.ppd ppd file
PPD Description:
Printer status: printer DeskJet_3700 is idle.  enabled since Pá 20. červenec 2018, 12:44:44 CEST
error: Unsupported model: DeskJet_3700_series
error: Communication status: Failed

DeskJet_3700_2
--------------
Type: Printer
Device URI: hp:/usb/DeskJet_3700_series?serial=CN81D3D03506H8
PPD: /etc/cups/ppd/DeskJet_3700_2.ppd
warning: Failed to read /etc/cups/ppd/DeskJet_3700_2.ppd ppd file
PPD Description:
Printer status: printer DeskJet_3700_2 is idle.  enabled since Pá 20. červenec 2018, 12:44:44 CEST
error: Unsupported model: DeskJet_3700_series
error: Communication status: Failed


--------------
| PERMISSION |
--------------

error: Unsupported model: DeskJet_3700_series
Missing Required Dependencies
-----------------------------
error: 'python3-dev' package is missing/incompatible


ENTER SUDO PASSWORD
-------------------
Please enter the sudoer (zizalka)'s password:
error: Password incorrect. 2 attempt(s) left.
Please enter the sudoer (zizalka)'s password:
error: Password incorrect. 1 attempt(s) left.
Please enter the sudoer (zizalka)'s password:

TIBOR

  • Guru
  • *****
  • Příspěvků: 6039
  • Karma: +440/-21
  • Som uzivatel linuxovej distribucie, som linuxak?
    • Zobrazit profil
Re:tiskárna HP nerespektuje horní okraj
« Odpověď #3 kdy: 20 Červenec 2018, 23:00:16 »
Mozes vyskusat pridat/nainstalovat tu tlaciaren znova cez gui.
Alebo skus v nastaveni systemu-tlaciarne na nu kliknut pravym a vlastnosti. Tam si prejdi nastavenia, ja tam mam aj nastavenia okrajov vid. obr.
https://ctrlv.cz/glX9

Pripadne ma este napadlo, ak mas tlaciaren ktora zvlada bezokrajovu tlac(co zrejme ano) skus ci sa to neda vypnut v tych nastaveniach.
« Poslední změna: 20 Červenec 2018, 23:08:46 od TIBOR »
Asus X751LB-TY014H Ubuntu 18.04 XX 64bit - Mate.
Linus, Lajnas, Línus, Luínus, Lajnus a je mi naozaj jedno, ako ľudia vyslovujú moje meno. Ale "Linux" je vždy "Linux". LINUS TORVALDS, tvorca Linuxového jadra.(V dokumente Revolution OS)

dredata_zizalka

  • Člen
  • **
  • Příspěvků: 495
  • Karma: +27/-6
    • Zobrazit profil
Re:tiskárna HP nerespektuje horní okraj
« Odpověď #4 kdy: 21 Červenec 2018, 15:27:06 »
Tibore, především díky za tip na web pro rychlé poslání printscreenu  8)

Přidat tiskárnu mi nejde (je zapnutá a připojená..)
https://ctrlv.cz/GkEN

A ty okraje jsem už dřív našla a celá nadšená jsem to zkusila. Jenže to nepomáhá :-( Nastavila jsem tam i 100 bodů, ale tiskne to stejně

Překvapuje mě, že přes gui mi to ignoruje tiskárnu :-(
« Poslední změna: 21 Červenec 2018, 15:36:24 od dredata_zizalka »

TIBOR

  • Guru
  • *****
  • Příspěvků: 6039
  • Karma: +440/-21
  • Som uzivatel linuxovej distribucie, som linuxak?
    • Zobrazit profil
Re:tiskárna HP nerespektuje horní okraj
« Odpověď #5 kdy: 21 Červenec 2018, 16:52:56 »
Hmm, pozeral som podporu tvojej tlaciarne v hplip a nenasiel som ju tam.
https://developers.hp.com/hp-linux-imaging-and-printing/supported_devices/index

Skus este do prehliadaca dat
http://localhost:631/printers/
a ak ti to vypise tlaciarne tak na ne klikni a pozri aky ovladac pouziva.
Asus X751LB-TY014H Ubuntu 18.04 XX 64bit - Mate.
Linus, Lajnas, Línus, Luínus, Lajnus a je mi naozaj jedno, ako ľudia vyslovujú moje meno. Ale "Linux" je vždy "Linux". LINUS TORVALDS, tvorca Linuxového jadra.(V dokumente Revolution OS)

dredata_zizalka

  • Člen
  • **
  • Příspěvků: 495
  • Karma: +27/-6
    • Zobrazit profil
Re:tiskárna HP nerespektuje horní okraj
« Odpověď #6 kdy: 22 Červenec 2018, 16:14:26 »
To jsou mi věci...

No každopádně po tom ovladači jsem začala alespon skenovat :-) podle mě to podporuje tu řeadu 3700 ... ale kdo ví.

z toho localhost


Description:   DeskJet_3700_2
Location:   
Driver:   HP Deskjet 3700 Series, hpcups 3.18.6 (color)
Connection:   hp:/usb/DeskJet_3700_series?serial=CN81D3D03506H8
Defaults:   job-sheets=none, none media=iso_a4_210x297mm sides=one-sided


TIBOR

  • Guru
  • *****
  • Příspěvků: 6039
  • Karma: +440/-21
  • Som uzivatel linuxovej distribucie, som linuxak?
    • Zobrazit profil
Re:tiskárna HP nerespektuje horní okraj
« Odpověď #7 kdy: 22 Červenec 2018, 17:26:06 »
Jj, vyzera to na hpcups a nie hplip. Cize je to dajaky univerzalny ovladac spolocny pre vsetky tlaciarne radu 3700.

Prave som pozeral navod k tejto tlaciarni a podla neho by tlaciaren mala mat web server kde su dajake funkcie nastavenia. Skus pozriet do neho ci tam nebudu funkcie ktore nema v sebe ovladac pre linux. Tlaciaren bude treba pripojit na siet a do prehliadaca zadat IP ktora bude tlaciarni priradena.
« Poslední změna: 22 Červenec 2018, 17:43:03 od TIBOR »
Asus X751LB-TY014H Ubuntu 18.04 XX 64bit - Mate.
Linus, Lajnas, Línus, Luínus, Lajnus a je mi naozaj jedno, ako ľudia vyslovujú moje meno. Ale "Linux" je vždy "Linux". LINUS TORVALDS, tvorca Linuxového jadra.(V dokumente Revolution OS)

dredata_zizalka

  • Člen
  • **
  • Příspěvků: 495
  • Karma: +27/-6
    • Zobrazit profil
Re:tiskárna HP nerespektuje horní okraj
« Odpověď #8 kdy: 22 Červenec 2018, 18:01:32 »
joj, tak tady jsem se ztratila  :o

vím, že umí fungovat 'bezdrátově' to myslíš? Já totiž tu bezdrátovou funkci tak jako tak nechápu  :-[  ... to jako se pak přenáší přes router? nebo netuším kudy by to počítač 'vyslal'  ;D

TIBOR

  • Guru
  • *****
  • Příspěvků: 6039
  • Karma: +440/-21
  • Som uzivatel linuxovej distribucie, som linuxak?
    • Zobrazit profil
Re:tiskárna HP nerespektuje horní okraj
« Odpověď #9 kdy: 22 Červenec 2018, 18:20:57 »
Ano, tlaciaren sa pripoji cez wifi na router a pocitac lan kablom.(alebo ntb sa moze tiez cez wifi)
Je to popisane v navode.
Asus X751LB-TY014H Ubuntu 18.04 XX 64bit - Mate.
Linus, Lajnas, Línus, Luínus, Lajnus a je mi naozaj jedno, ako ľudia vyslovujú moje meno. Ale "Linux" je vždy "Linux". LINUS TORVALDS, tvorca Linuxového jadra.(V dokumente Revolution OS)

dredata_zizalka

  • Člen
  • **
  • Příspěvků: 495
  • Karma: +27/-6
    • Zobrazit profil
Re:tiskárna HP nerespektuje horní okraj
« Odpověď #10 kdy: 22 Červenec 2018, 18:43:05 »
no když to zkusím přes toho manažera tak mě to pošle pryč s tím, že se nepovedlo spustit výchozí prohlížeč. Chyba vstupu/výstupu.

TIBOR

  • Guru
  • *****
  • Příspěvků: 6039
  • Karma: +440/-21
  • Som uzivatel linuxovej distribucie, som linuxak?
    • Zobrazit profil
Re:tiskárna HP nerespektuje horní okraj
« Odpověď #11 kdy: 22 Červenec 2018, 21:33:22 »
Hmm, s tymto uz asi nebudem vediet poradit. Cez wifi som este HP nepripajal tak neviem ako to tam maju riesene.
Len k tomu "spustit vychozi prohlizec", to klikas na dajaky odkaz? Pretoze by si mala cez display spustit wifi, Pozriet sa ci sa spojil s routrom a zistit aku ma IP. Potom by si mala ty otvorit beznym sposobom FF alebo aky prehliadac pouzivas a tam by sa do adresneho riadku mala zapisat tu ip adresu.
Aspon tak to chapem ja.
Asus X751LB-TY014H Ubuntu 18.04 XX 64bit - Mate.
Linus, Lajnas, Línus, Luínus, Lajnus a je mi naozaj jedno, ako ľudia vyslovujú moje meno. Ale "Linux" je vždy "Linux". LINUS TORVALDS, tvorca Linuxového jadra.(V dokumente Revolution OS)

dredata_zizalka

  • Člen
  • **
  • Příspěvků: 495
  • Karma: +27/-6
    • Zobrazit profil
Re:tiskárna HP nerespektuje horní okraj
« Odpověď #12 kdy: 23 Červenec 2018, 20:48:31 »
dělám to přes to okýnko :-)
https://ctrlv.cz/wg3E

https://ctrlv.cz/TZAy

ještě to můžu zkusit přes ten systém... ale nevím co zvolit...
https://ctrlv.cz/9poC


ještě tedy můžu přes to okýnko:
https://ctrlv.cz/Mg9K
bohužel moc daleko se nedostanu..
https://ctrlv.cz/kj6F

pak taky umím dostat tuto odpověď..
https://ctrlv.cz/DxEv

tyhle funkionality jdou bohužel úplně mimo mě :-(
« Poslední změna: 23 Červenec 2018, 21:01:54 od dredata_zizalka »

TIBOR

  • Guru
  • *****
  • Příspěvků: 6039
  • Karma: +440/-21
  • Som uzivatel linuxovej distribucie, som linuxak?
    • Zobrazit profil
Re:tiskárna HP nerespektuje horní okraj
« Odpověď #13 kdy: 24 Červenec 2018, 15:01:39 »
Vsetko je to gui pre hplip ktore tvoju tlaciaren nepodporuje.(ak sa nemylim)
Skus si precitat manual.
https://www.euronics.cz/download/1637008
Mozno sa tam docitas nieco podstatne k tvojmu problemu, ja som ho len tak prebehol. Ale aj tak mam dojem ze k plnohodnotnemu nastaveniu tlaciarne budes potrebovat win. Po tomto nastaveni by sa uz malo dostat  do toho web rozhrania aj z lin.
Asus X751LB-TY014H Ubuntu 18.04 XX 64bit - Mate.
Linus, Lajnas, Línus, Luínus, Lajnus a je mi naozaj jedno, ako ľudia vyslovujú moje meno. Ale "Linux" je vždy "Linux". LINUS TORVALDS, tvorca Linuxového jadra.(V dokumente Revolution OS)

dredata_zizalka

  • Člen
  • **
  • Příspěvků: 495
  • Karma: +27/-6
    • Zobrazit profil
Re:tiskárna HP nerespektuje horní okraj
« Odpověď #14 kdy: 24 Červenec 2018, 20:34:55 »
wow díky,

tak já to prolítla taky a rovnou tam něco našla...
našla jsem tam část k sítové tiskárně (což tedy nevím jestli se počítá..) ale vylezl mi z tiskárny papír o bezdrátovém spojení, jak na to a tak... no zatím se mi to nedaří, pořád mi to píše že to nic nevidí nebo tak, pritom tiskárna ted bliká že je připravená k nastavování..

https://ctrlv.cz/m70Z

nabídlo mi to web s ovladači..jenže "We’re sorry—We don’t support this operating system."

no každopádně já nepotřebuju tisknout bezdrátově...

jinak mě v tom dokumentu nic moc nezaujalo, pořád se nemůžu dostat na to pokročilé nastavení :-(

TIBOR

  • Guru
  • *****
  • Příspěvků: 6039
  • Karma: +440/-21
  • Som uzivatel linuxovej distribucie, som linuxak?
    • Zobrazit profil
Re:tiskárna HP nerespektuje horní okraj
« Odpověď #15 kdy: 24 Červenec 2018, 20:49:24 »
Jj, to bezdrotove pripojenie som myslel vyuzit na pripojenie sa k tomu web serveru tlaciarne strana 68. Ovsem vyzera to tak ze bezdrotove pripojenie nakonfigurujes iba z win. Aspon co som narychlo pozeral.
nabídlo mi to web s ovladači..jenže "We’re sorry—We don’t support this operating system."
To je to co som pisal vyssie, hplip(ovladac od HP) z ktoreho davas stale obrazky nepodporuje tvoju tlaciaren a zrejme ho mozes odstranit.
Asus X751LB-TY014H Ubuntu 18.04 XX 64bit - Mate.
Linus, Lajnas, Línus, Luínus, Lajnus a je mi naozaj jedno, ako ľudia vyslovujú moje meno. Ale "Linux" je vždy "Linux". LINUS TORVALDS, tvorca Linuxového jadra.(V dokumente Revolution OS)

dredata_zizalka

  • Člen
  • **
  • Příspěvků: 495
  • Karma: +27/-6
    • Zobrazit profil
Re:tiskárna HP nerespektuje horní okraj
« Odpověď #16 kdy: 25 Červenec 2018, 20:24:09 »
ahaaa, ted se trochu chytám :-)

takže nějaký linuxový ovladač nebo to hpcups?

TIBOR

  • Guru
  • *****
  • Příspěvků: 6039
  • Karma: +440/-21
  • Som uzivatel linuxovej distribucie, som linuxak?
    • Zobrazit profil
Re:tiskárna HP nerespektuje horní okraj
« Odpověď #17 kdy: 25 Červenec 2018, 21:23:49 »
Mimochodom nemas problen pri aktualizaciach s chybou s python-3?
Spravme este jeden pokus. Cez synaptics alebo co pouzivas odinstaluj hplip, hplip-gui, hplip-data. Pozor na to co ti to bude odinstalovavat s tym, pre istotu. Aktualizuj system
Kód: [Vybrat]
sudo apt-get update
sudo apt-get upgrade

Znovu nainstaluj hplip ale to stiahnute z HP, nie to z repozitarov. Nainstaluj ho a potom spusti instalaciu pluginu cez
Kód: [Vybrat]
hp-pluginten daj stiahnut a odsuhlas licenciu. Potom spusti znova instalaciu tlaciarne v hplip cez
Kód: [Vybrat]
hp-setupNasiel som taliansku stranku kde manik tvrdi ze nainstaloval tuto tlaciaren cez hplip v rezime usb aj wifi. To hp-plugins by malo prepojit hpcups a hplip aby spolupracovali.

To nastavenie okrajov sa mi nedari najst pre tuto tlaciaren.

Inak som uz naozaj v koncoch. :D
Asus X751LB-TY014H Ubuntu 18.04 XX 64bit - Mate.
Linus, Lajnas, Línus, Luínus, Lajnus a je mi naozaj jedno, ako ľudia vyslovujú moje meno. Ale "Linux" je vždy "Linux". LINUS TORVALDS, tvorca Linuxového jadra.(V dokumente Revolution OS)

dredata_zizalka

  • Člen
  • **
  • Příspěvků: 495
  • Karma: +27/-6
    • Zobrazit profil
Re:tiskárna HP nerespektuje horní okraj
« Odpověď #18 kdy: 31 Červenec 2018, 17:27:40 »
Tak jsem smazala to níže, a spustila znovu instalaci z toho z webu, podle pokynu.
Předtím jsem i smazala evidované tiskárny a v rámci instalace se nastavila znovu.

https://developers.hp.com/hp-linux-imaging-and-printing/downloads

Kód: [Vybrat]
zizalka@zizalka-pc:~/Stažené/baliky$ sh hplip-3.18.6.run
Creating directory hplip-3.18.6
Verifying archive integrity... All good.
Uncompressing HPLIP 3.18.6 Self Extracting Archive...

HP Linux Imaging and Printing System (ver. 3.18.6)
HPLIP Installer ver. 5.1

Copyright (c) 2001-15 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Installer log saved in: hplip-install_Tue-31-Jul-2018_17:10:21.log

\
note: Defaults for each question are maked with a '*'. Press <enter> to accept the default.
\
 

INSTALLATION MODE
-----------------
Automatic mode will install the full HPLIP solution with the most common options.
Custom mode allows you to choose installation options to fit specific requirements.

Please choose the installation mode (a=automatic*, c=custom, q=quit) :

INTRODUCTION
------------
This installer will install HPLIP version 3.18.6 on your computer.
Please close any running package management systems now (YaST, Adept, Synaptic, Up2date, etc).


DISTRO/OS CONFIRMATION
----------------------
Distro appears to be Ubuntu 16.04.

Is "Ubuntu 16.04" your correct distro/OS and version (y=yes*, n=no, q=quit) ? y

Initializing. Please wait...


ENTER USER PASSWORD
-------------------
Please enter the sudoer (zizalka)'s password:
 

INSTALLATION NOTES
------------------
Enable the universe/multiverse repositories. Also be sure you are using the Ubuntu "Main" Repositories. See: https://help.ubuntu.com/community/Repositories/Ubuntu for more information.  Disable the CD-ROM/DVD source if you do not have the Ubuntu installation media inserted in the drive.

Please read the installation notes. Press <enter> to continue or 'q' to quit:


SECURITY PACKAGES
-----------------
AppArmor is installed.
AppArmor protects the application from external intrusion attempts making the application secure

Would you like to have this installer install the hplip specific policy/profile (y=yes*, n=no, q=quit) ? y


RUNNING PRE-INSTALL COMMANDS
----------------------------
OK


CHECKING FOR NETWORK CONNECTION
-------------------------------
Network connection present.


RUNNING PRE-PACKAGE COMMANDS
----------------------------
sudo dpkg --configure -a (Pre-depend step 1)
sudo apt-get install --yes --force-yes -f (Pre-depend step 2)
sudo apt-get update (Pre-depend step 3)
OK


DEPENDENCY AND CONFLICT RESOLUTION
----------------------------------
HPLIP-3.18.6 exists, this may conflict with the new one being installed.
Do you want to ('i'= Remove and Install*, 'q'= Quit)?    :i
Starting uninstallation...
HPLIP uninstallation is completed


RUNNING POST-PACKAGE COMMANDS
-----------------------------
OK


RE-CHECKING DEPENDENCIES
------------------------
OK


PRE-BUILD COMMANDS
------------------
OK


BUILD AND INSTALL
-----------------
Running './configure --with-hpppddir=/usr/share/ppd/HP --libdir=/usr/lib --prefix=/usr --enable-qt4 --disable-qt5 --enable-doc-build --disable-cups-ppd-install --disable-foomatic-drv-install --disable-libusb01_build --disable-foomatic-ppd-install --disable-hpijs-install --disable-class-driver --disable-udev_sysfs_rules --disable-policykit --enable-cups-drv-install --enable-hpcups-install --enable-network-build --enable-dbus-build --enable-scan-build --enable-fax-build --enable-apparmor_build'
Please wait, this may take several minutes...
Command completed successfully.

Running 'make clean'
Please wait, this may take several minutes...
Command completed successfully.

Running 'make'
Please wait, this may take several minutes...
Command completed successfully.

Running 'sudo make install'
Please wait, this may take several minutes...
Command completed successfully.


Build complete.



POST-BUILD COMMANDS
-------------------
 

CLOSE HP_SYSTRAY
----------------
Sending close message to hp-systray (if it is currently running)...
OK


HPLIP UPDATE NOTIFICATION
-------------------------
Do you want to check for HPLIP updates?. (y=yes*, n=no) : y


RESTART OR RE-PLUG IS REQUIRED
------------------------------
If you are installing a USB connected printer, and the printer was plugged in   
when you started this installer, you will need to either restart your PC or     
unplug and re-plug in your printer (USB cable only). If you choose to restart, 
run this command after restarting: hp-setup (Note: If you are using a parallel 
connection, you will have to restart your PC. If you are using network/wireless,
you can ignore and continue).                                                   

Restart or re-plug in your printer (r=restart, p=re-plug in*, i=ignore/continue, q=quit) : p
Please unplug and re-plugin your printer now.  Press <enter> to continue or 'q' to quit:


PRINTER SETUP
-------------
Please make sure your printer is connected and powered on at this time.
Do you want to setup printer in GUI mode? (u=GUI mode*, i=Interactive mode) : u

HP Linux Imaging and Printing System (ver. 3.18.6)
Printer/Fax Setup Utility ver. 9.0

Copyright (c) 2001-15 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Searching... (bus=usb, search=(None), desc=0)
 
Done.


RE-STARTING HP_SYSTRAY
----------------------

HP Linux Imaging and Printing System (ver. 3.18.6)
System Tray Status Service ver. 2.0

Copyright (c) 2001-15 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

/usr/lib/python2.7/dist-packages/gtk-2.0/gtk/__init__.py:127: RuntimeWarning: PyOS_InputHook is not available for interactive use of PyGTK
  set_interactive(1)
zizalka@zizalka-pc:~/Stažené/baliky$

hp-plugin jsem dostala zprávu:
Unable to recieve key from keyserver
Without this, it is not possible to authenticate and validate the plug-in prior to installation.
Do you still want to install the plug-in?

Odsouhasila jsem, dala jsem heslo a bylo úspěšna nainstalováné .

hp-setup mi nabídl přidat tiskárnu, tak tam mám dvě :-) počítám, že ten plugin se bude automaticky aplikovat i na tu první :-) ale pro jistotu jsem jí přidala, smazat jí můžu vždy.

Zkusila jsem něco vytisknout, ale nic jsem nerestartovala... a bohužel nic :-(
ale zkusím pošolíchat ještě ty okraje v nastavení, před tím to nemělo efekt.

dredata_zizalka

  • Člen
  • **
  • Příspěvků: 495
  • Karma: +27/-6
    • Zobrazit profil
Re:tiskárna HP nerespektuje horní okraj
« Odpověď #19 kdy: 20 Srpen 2018, 13:42:51 »
Tak jsem na to zkusila jít taky méně technicky,
a začala jsem měnit při tisku pdf papír, na všechny možné druhy papíru. Na některé to má takový vliv, že to vůbec nic nevytiskne a zbytek je úplně stejný.
Zkusila jsem i nastavit vlastní velikost s různými okraji papíru a nemá to na tisk vůbec žádný vliv.
Jednou mi vylezla stránka relativně v pořádku tak jsem myslela, že to mám... ale očividině to byla jen náhodou.

Napadlo mě, co zkusit nějaký úplně jiný ovladač, narazila jsem na jakýsi gutenprint, ale zatím váhám.
« Poslední změna: 20 Srpen 2018, 13:52:05 od dredata_zizalka »

petertomasy

  • Stálý člen
  • ***
  • Příspěvků: 779
  • Karma: +88/-8
    • Zobrazit profil
Re:tiskárna HP nerespektuje horní okraj
« Odpověď #20 kdy: 20 Srpen 2018, 21:14:00 »
ahoj dredata_zizalko, nie som odborník na tlačiarne, no našiel som link priamo na tvoju tlačiareň a je tam uspešný navod na inštaláciu  na ubuntu 18.04 . je to v španielčine , ale to by nemal byť problém , compañera  ;D  S pozdravom Peter .